# Auto generated configuration file
# using: 
# Revision: 1.19 
# Source: /local/reps/CMSSW/CMSSW/Configuration/Applications/python/ConfigBuilder.py,v 
# with command line options: Configuration/GenProduction/python/B2G-RunIISummer15GS-00202-fragment.py --filein dbs:/TprimeTprime_M-1200_13TeV-madgraph/RunIIWinter15wmLHE-MCRUN2_71_V1-v1/LHE --fileout file:B2G-RunIISummer15GS-00202.root --mc --eventcontent RAWSIM --customise SLHCUpgradeSimulations/Configuration/postLS1Customs.customisePostLS1,Configuration/DataProcessing/Utils.addMonitoring --datatier GEN-SIM --conditions MCRUN2_71_V1::All --beamspot Realistic50ns13TeVCollision --step GEN,SIM --magField 38T_PostLS1 --python_filename /afs/cern.ch/cms/PPD/PdmV/work/McM/submit/B2G-RunIISummer15GS-00202/B2G-RunIISummer15GS-00202_1_cfg.py --no_exec -n 19
import FWCore.ParameterSet.Config as cms

process = cms.Process('SIM')

# import of standard configurations
process.load('Configuration.StandardSequences.Services_cff')
process.load('SimGeneral.HepPDTESSource.pythiapdt_cfi')
process.load('FWCore.MessageService.MessageLogger_cfi')
process.load('Configuration.EventContent.EventContent_cff')
process.load('SimGeneral.MixingModule.mixNoPU_cfi')
process.load('Configuration.StandardSequences.GeometryRecoDB_cff')
process.load('Configuration.Geometry.GeometrySimDB_cff')
process.load('Configuration.StandardSequences.MagneticField_38T_PostLS1_cff')
process.load('Configuration.StandardSequences.Generator_cff')
process.load('IOMC.EventVertexGenerators.VtxSmearedRealistic50ns13TeVCollision_cfi')
process.load('GeneratorInterface.Core.genFilterSummary_cff')
process.load('Configuration.StandardSequences.SimIdeal_cff')
process.load('Configuration.StandardSequences.EndOfProcess_cff')
process.load('Configuration.StandardSequences.FrontierConditions_GlobalTag_cff')

process.maxEvents = cms.untracked.PSet(
    input = cms.untracked.int32(19)
)

# Input source
process.source = cms.Source("PoolSource",
    secondaryFileNames = cms.untracked.vstring(),
    fileNames = cms.untracked.vstring('/store/mc/RunIIWinter15wmLHE/TprimeTprime_M-1200_13TeV-madgraph/LHE/MCRUN2_71_V1-v1/50000/045D7B5D-4D05-E511-A83C-008CFA0A5914.root', 
        '/store/mc/RunIIWinter15wmLHE/TprimeTprime_M-1200_13TeV-madgraph/LHE/MCRUN2_71_V1-v1/50000/40D0005B-4D05-E511-9840-008CFA56D764.root', 
        '/store/mc/RunIIWinter15wmLHE/TprimeTprime_M-1200_13TeV-madgraph/LHE/MCRUN2_71_V1-v1/50000/4AF419E5-4E05-E511-A1A3-008CFA152104.root', 
        '/store/mc/RunIIWinter15wmLHE/TprimeTprime_M-1200_13TeV-madgraph/LHE/MCRUN2_71_V1-v1/50000/52AED8F0-4E05-E511-B865-008CFA0A5830.root', 
        '/store/mc/RunIIWinter15wmLHE/TprimeTprime_M-1200_13TeV-madgraph/LHE/MCRUN2_71_V1-v1/50000/5EF69B85-1E07-E511-8E3E-38EAA7A6DAA0.root', 
        '/store/mc/RunIIWinter15wmLHE/TprimeTprime_M-1200_13TeV-madgraph/LHE/MCRUN2_71_V1-v1/50000/742F4FEC-4805-E511-A4C0-008CFA1CBBA4.root', 
        '/store/mc/RunIIWinter15wmLHE/TprimeTprime_M-1200_13TeV-madgraph/LHE/MCRUN2_71_V1-v1/50000/761DB96F-4D05-E511-970C-008CFA0A5818.root', 
        '/store/mc/RunIIWinter15wmLHE/TprimeTprime_M-1200_13TeV-madgraph/LHE/MCRUN2_71_V1-v1/50000/76A7180C-4A05-E511-97EF-008CFA1C64F8.root', 
        '/store/mc/RunIIWinter15wmLHE/TprimeTprime_M-1200_13TeV-madgraph/LHE/MCRUN2_71_V1-v1/50000/C672D661-4D05-E511-B906-008CFA0A5808.root'),
    inputCommands = cms.untracked.vstring('keep *', 
        'drop LHEXMLStringProduct_*_*_*'),
    dropDescendantsOfDroppedBranches = cms.untracked.bool(False)
)

process.options = cms.untracked.PSet(

)

# Production Info
process.configurationMetadata = cms.untracked.PSet(
    version = cms.untracked.string('$Revision: 1.19 $'),
    annotation = cms.untracked.string('Configuration/GenProduction/python/B2G-RunIISummer15GS-00202-fragment.py nevts:19'),
    name = cms.untracked.string('Applications')
)

# Output definition

process.RAWSIMoutput = cms.OutputModule("PoolOutputModule",
    splitLevel = cms.untracked.int32(0),
    eventAutoFlushCompressedSize = cms.untracked.int32(5242880),
    outputCommands = process.RAWSIMEventContent.outputCommands,
    fileName = cms.untracked.string('file:B2G-RunIISummer15GS-00202.root'),
    dataset = cms.untracked.PSet(
        filterName = cms.untracked.string(''),
        dataTier = cms.untracked.string('GEN-SIM')
    ),
    SelectEvents = cms.untracked.PSet(
        SelectEvents = cms.vstring('generation_step')
    )
)

# Additional output definition

# Other statements
process.genstepfilter.triggerConditions=cms.vstring("generation_step")
from Configuration.AlCa.GlobalTag import GlobalTag
process.GlobalTag = GlobalTag(process.GlobalTag, 'MCRUN2_71_V1::All', '')

process.generator = cms.EDFilter("Pythia8HadronizerFilter",
    pythiaPylistVerbosity = cms.untracked.int32(1),
    filterEfficiency = cms.untracked.double(1.0),
    pythiaHepMCVerbosity = cms.untracked.bool(False),
    comEnergy = cms.double(13000.0),
    maxEventsToPrint = cms.untracked.int32(1),
    PythiaParameters = cms.PSet(
        pythia8CommonSettings = cms.vstring('Tune:preferLHAPDF = 2', 
            'Main:timesAllowErrors = 10000', 
            'Check:epTolErr = 0.01', 
            'Beams:setProductionScalesFromLHEF = off', 
            'SLHA:keepSM = on', 
            'SLHA:minMassSM = 1000.', 
            'ParticleDecays:limitTau0 = on', 
            'ParticleDecays:tau0Max = 10', 
            'ParticleDecays:allowPhotonRadiation = on'),
        pythia8CUEP8M1Settings = cms.vstring('Tune:pp 14', 
            'Tune:ee 7', 
            'MultipartonInteractions:pT0Ref=2.4024', 
            'MultipartonInteractions:ecmPow=0.25208', 
            'MultipartonInteractions:expPow=1.6'),
        processParameters = cms.vstring('8000001:new t23 t23bar 2 2 1 1200 10 1100 1300 0', 
            '8000001:doForceWidth = 1', 
            '6:m0 = 172.5 ! top mass', 
            '8000001:mayDecay = 1', 
            '8000001:oneChannel = 1 0.3334 100 24 5 ! add channel tprime to W b with BR=0.333', 
            '8000001:addChannel = 1 0.3333 100 23 6 ! add channel tprime to Z t with BR=0.333', 
            '8000001:addChannel = 1 0.3333 100 25 6 ! add channel tprime to H t with BR=0.333'),
        parameterSets = cms.vstring('pythia8CommonSettings', 
            'pythia8CUEP8M1Settings', 
            'processParameters')
    )
)


# Path and EndPath definitions
process.generation_step = cms.Path(process.pgen)
process.simulation_step = cms.Path(process.psim)
process.genfiltersummary_step = cms.EndPath(process.genFilterSummary)
process.endjob_step = cms.EndPath(process.endOfProcess)
process.RAWSIMoutput_step = cms.EndPath(process.RAWSIMoutput)

# Schedule definition
process.schedule = cms.Schedule(process.generation_step,process.genfiltersummary_step,process.simulation_step,process.endjob_step,process.RAWSIMoutput_step)
# filter all path with the production filter sequence
for path in process.paths:
	getattr(process,path)._seq = process.generator * getattr(process,path)._seq 

# customisation of the process.

# Automatic addition of the customisation function from Configuration.DataProcessing.Utils
from Configuration.DataProcessing.Utils import addMonitoring 

#call to customisation function addMonitoring imported from Configuration.DataProcessing.Utils
process = addMonitoring(process)

# Automatic addition of the customisation function from SLHCUpgradeSimulations.Configuration.postLS1Customs
from SLHCUpgradeSimulations.Configuration.postLS1Customs import customisePostLS1 

#call to customisation function customisePostLS1 imported from SLHCUpgradeSimulations.Configuration.postLS1Customs
process = customisePostLS1(process)

# End of customisation functions
